efficient subalgebras

30 Jul 2014 17:23 - Anna Maria Bigatti

Status: New Start date: 16 Jul 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 0%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.00 hour

Description

There are many tools to deal with subalgebras (see toric and normaliz), so it would make sense to design a nice interface choosing

the best tool for a given problem.

It it worth designing a subalgebra class in cocoalib?  Probably yes, but that's a delicate work.

Related issues:

Related to CoCoA-5 - Feature #590: package for subalgebras Closed 16 Jul 2014

Related to CoCoALib - Feature #651: Optimized algorithms for implicitization ... In Progress 13 Nov 2014

History

#1 - 30 Jul 2014 17:25 - Anna Maria Bigatti

- Subject changed from subalgebras to efficient subalgebras

- % Done changed from 90 to 0

#2 - 30 Jul 2014 17:29 - Anna Maria Bigatti

- Category changed from CoCoA-4 function to be added to enhancing/improving

We are also working an efficient algorithm for implicitization.

Keep that in mind for this issue, or make a new issue.
